org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.ExecutionTypeModifierElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.ExecutionTypeModifierElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.ExecutionTypeModifierElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionTypeModifierElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getIncrementalEnumLiteralDeclaration_1()`
    `org.eclipse.xtext.Keyword` | `getIncrementalIncrementalKeyword_1_0()`
    `org.eclipse.xtext.EnumRule` | `getRule()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getSearchEnumLiteralDeclaration_0()`
    `org.eclipse.xtext.Keyword` | `getSearchSearchKeyword_0_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionTypeModifierElements

          public ExecutionTypeModifierElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.EnumRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getSearchEnumLiteralDeclaration_0

          public org.eclipse.xtext.EnumLiteralDeclaration getSearchEnumLiteralDeclaration_0()

    - #### getSearchSearchKeyword_0_0

          public org.eclipse.xtext.Keyword getSearchSearchKeyword_0_0()

    - #### getIncrementalEnumLiteralDeclaration_1

          public org.eclipse.xtext.EnumLiteralDeclaration getIncrementalEnumLiteralDeclaration_1()

    - #### getIncrementalIncrementalKeyword_1_0

          public org.eclipse.xtext.Keyword getIncrementalIncrementalKeyword_1_0()